View Issue Details

IDProjectCategoryView StatusLast Update
0002739SymmetricDS ProBugpublic2016-08-22 16:27
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.2 
Target Version3.8.2Fixed in Version3.8.2 
Summary0002739: vaadin illegal state exception
Description2016-08-17 16:08:53,888 ERROR [gui] [a] [ui-refresher-1] A connector should not be marked as dirty while a response is being written.
java.lang.IllegalStateException: A connector should not be marked as dirty while a response is being written.
        at com.vaadin.ui.ConnectorTracker.markDirty(ConnectorTracker.java:505)
        at com.vaadin.server.AbstractClientConnector.markAsDirty(AbstractClientConnector.java:141)
        at com.vaadin.ui.Table.markAsDirty(Table.java:1886)
        at com.vaadin.ui.AbstractSelect.setItemIcon(AbstractSelect.java:1288)
        at com.jumpmind.symmetric.console.ui.screen.configure.TableTriggerEditPanel.onBackgroundRefresh(TableTriggerEditPanel.java:281)
        at com.jumpmind.symmetric.console.ui.a$1.run(BackgroundRefresherService.java:47)
        at org.springframework.scheduling.support.DelegatingErrorHandlingRunnable.run(DelegatingErrorHandlingRunnable.java:54)
        at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
        at java.util.concurrent.FutureTask.runAndReset(Unknown Source)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(Unknown Source)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(Unknown Source)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
        at java.lang.Thread.run(Unknown Source)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2016-08-18 08:43 chenson New Issue
2016-08-18 08:44 chenson Product Version => 3.8.2
2016-08-18 08:44 chenson Fixed in Version => 3.8.2
2016-08-18 08:44 chenson Target Version => 3.8.2
2016-08-18 08:44 chenson Description Updated View Revisions
2016-08-18 08:44 chenson Status new => resolved
2016-08-18 08:44 chenson Resolution open => fixed
2016-08-18 08:44 chenson Assigned To => chenson
2016-08-22 16:27 admin Status resolved => closed